# swagger-java-client

GMS REST API
- API version: 3.0.1

Date: 2019-02-05 14:51:30 | Number of web services: 170


*Automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen)*


## Requirements

Building the API client library requires:
1. Java 1.7+
2. Maven/Gradle

## Installation

To install the API client library to your local Maven repository, simply execute:

```shell
mvn clean install
```

To deploy it to a remote Maven repository instead, configure the settings of the repository and execute:

```shell
mvn clean deploy
```

Refer to the [OSSRH Guide](http://central.sonatype.org/pages/ossrh-guide.html) for more information.

### Maven users

Add this dependency to your project's POM:

```xml
<dependency>
  <groupId>io.swagger</groupId>
  <artifactId>swagger-java-client</artifactId>
  <version>1.0.0</version>
  <scope>compile</scope>
</dependency>
```

### Gradle users

Add this dependency to your project's build file:

```groovy
compile "io.swagger:swagger-java-client:1.0.0"
```

### Others

At first generate the JAR by executing:

```shell
mvn clean package
```

Then manually install the following JARs:

* `target/swagger-java-client-1.0.0.jar`
* `target/lib/*.jar`

## Getting Started

Please follow the [installation](#installation) instruction and execute the following Java code:

```java
import io.swagger.client.*;
import io.swagger.client.auth.*;
import io.swagger.client.model.*;
import io.swagger.client.api.ActionsApi;

import java.io.File;
import java.util.*;

public class ActionsApiExample {

    public static void main(String[] args) {
        ApiClient defaultClient = Configuration.getDefaultApiClient();

        // Configure API key authorization: bearer
        ApiKeyAuth bearer = (ApiKeyAuth) defaultClient.getAuthentication("bearer");
        bearer.setApiKey("YOUR API KEY");
        // Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
        //bearer.setApiKeyPrefix("Token");

        ActionsApi apiInstance = new ActionsApi();
        Object search = null; // Object | Search condition
        Object page = null; // Object | Page number
        Object pageSize = null; // Object | Page size value
        Object fields = null; // Object | List of fields to display
        Object sort = null; // Object | Sort value
        try {
            apiInstance.applicationActionsGet(search, page, pageSize, fields, sort);
        } catch (ApiException e) {
            System.err.println("Exception when calling ActionsApi#applicationActionsGet");
            e.printStackTrace();
        }
    }
}
```

## Documentation for API Endpoints

All URIs are relative to */*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*ActionsApi* | [**applicationActionsGet**](docs/ActionsApi.md#applicationActionsGet) | **GET** /application/actions | getActions
*ApplicationSettingsApi* | [**applicationApplicationSettingsGet**](docs/ApplicationSettingsApi.md#applicationApplicationSettingsGet) | **GET** /application/applicationSettings | getApplicationSettings
*ApplicationSettingsApi* | [**applicationApplicationSettingsIdDelete**](docs/ApplicationSettingsApi.md#applicationApplicationSettingsIdDelete) | **DELETE** /application/applicationSettings/{id} | deleteApplicationSetting
*ApplicationSettingsApi* | [**applicationApplicationSettingsIdGet**](docs/ApplicationSettingsApi.md#applicationApplicationSettingsIdGet) | **GET** /application/applicationSettings/{id} | getApplicationSetting
*ApplicationSettingsApi* | [**applicationApplicationSettingsIdPut**](docs/ApplicationSettingsApi.md#applicationApplicationSettingsIdPut) | **PUT** /application/applicationSettings/{id} | updateApplicationSetting
*ApplicationSettingsApi* | [**applicationApplicationSettingsPost**](docs/ApplicationSettingsApi.md#applicationApplicationSettingsPost) | **POST** /application/applicationSettings | createApplicationSettings
*AuthenticatedUserApi* | [**applicationAuthenticatedUserGet**](docs/AuthenticatedUserApi.md#applicationAuthenticatedUserGet) | **GET** /application/authenticatedUser | getAuthenticatedUser
*CapabilitiesApi* | [**applicationCapabilitiesGet**](docs/CapabilitiesApi.md#applicationCapabilitiesGet) | **GET** /application/capabilities | getCapabilities
*ClustersApi* | [**applicationClustersGet**](docs/ClustersApi.md#applicationClustersGet) | **GET** /application/clusters | getClusters
*ClustersApi* | [**applicationClustersIdDelete**](docs/ClustersApi.md#applicationClustersIdDelete) | **DELETE** /application/clusters/{id} | deleteCluster
*ClustersApi* | [**applicationClustersIdEventsLastGet**](docs/ClustersApi.md#applicationClustersIdEventsLastGet) | **GET** /application/clusters/{id}/events/last | getClusterLastEvents
*ClustersApi* | [**applicationClustersIdGet**](docs/ClustersApi.md#applicationClustersIdGet) | **GET** /application/clusters/{id} | getCluster
*ClustersApi* | [**applicationClustersIdPatch**](docs/ClustersApi.md#applicationClustersIdPatch) | **PATCH** /application/clusters/{id} | patchCluster
*ClustersApi* | [**applicationClustersPost**](docs/ClustersApi.md#applicationClustersPost) | **POST** /application/clusters | createCluster
*CustomersApi* | [**applicationCustomersEventsLastCountersGet**](docs/CustomersApi.md#applicationCustomersEventsLastCountersGet) | **GET** /application/customers/events/last/counters | getCustomersLastEventsCounters
*CustomersApi* | [**applicationCustomersGet**](docs/CustomersApi.md#applicationCustomersGet) | **GET** /application/customers | getCustomers
*CustomersApi* | [**applicationCustomersIdDelete**](docs/CustomersApi.md#applicationCustomersIdDelete) | **DELETE** /application/customers/{id} | deleteCustomer
*CustomersApi* | [**applicationCustomersIdGet**](docs/CustomersApi.md#applicationCustomersIdGet) | **GET** /application/customers/{id} | getCustomer
*CustomersApi* | [**applicationCustomersIdKpisKpiGet**](docs/CustomersApi.md#applicationCustomersIdKpisKpiGet) | **GET** /application/customers/{id}/kpis/{kpi} | getRncCustomerKpi
*CustomersApi* | [**applicationCustomersIdMdrGet**](docs/CustomersApi.md#applicationCustomersIdMdrGet) | **GET** /application/customers/{id}/mdr | getCustomerMdr
*CustomersApi* | [**applicationCustomersIdPatch**](docs/CustomersApi.md#applicationCustomersIdPatch) | **PATCH** /application/customers/{id} | patchCustomer
*CustomersApi* | [**applicationCustomersLnsEventsLastCountersGet**](docs/CustomersApi.md#applicationCustomersLnsEventsLastCountersGet) | **GET** /application/customers/lnsEvents/last/counters | getLnsCustomersLastEventsCounters
*CustomersApi* | [**applicationCustomersPost**](docs/CustomersApi.md#applicationCustomersPost) | **POST** /application/customers | createCustomer
*CustomersApi* | [**applicationCustomersRncEventsLastCountersGet**](docs/CustomersApi.md#applicationCustomersRncEventsLastCountersGet) | **GET** /application/customers/rncEvents/last/counters | getRncCustomersLastEventsCounters
*CustomersSettingsApi* | [**applicationCustomersSettingsGet**](docs/CustomersSettingsApi.md#applicationCustomersSettingsGet) | **GET** /application/customersSettings | getCustomersSettings
*CustomersSettingsApi* | [**applicationCustomersSettingsIdDelete**](docs/CustomersSettingsApi.md#applicationCustomersSettingsIdDelete) | **DELETE** /application/customersSettings/{id} | deleteCustomerSetting
*CustomersSettingsApi* | [**applicationCustomersSettingsIdGet**](docs/CustomersSettingsApi.md#applicationCustomersSettingsIdGet) | **GET** /application/customersSettings/{id} | getCustomerSetting
*CustomersSettingsApi* | [**applicationCustomersSettingsIdPut**](docs/CustomersSettingsApi.md#applicationCustomersSettingsIdPut) | **PUT** /application/customersSettings/{id} | updateCustomerSetting
*CustomersSettingsApi* | [**applicationCustomersSettingsPost**](docs/CustomersSettingsApi.md#applicationCustomersSettingsPost) | **POST** /application/customersSettings | createCustomersSettings
*DataDownApi* | [**applicationDataDownGet**](docs/DataDownApi.md#applicationDataDownGet) | **GET** /application/dataDown | getDataDown
*DataDownApi* | [**applicationDataDownPost**](docs/DataDownApi.md#applicationDataDownPost) | **POST** /application/dataDown | createDataDown
*DataUpApi* | [**applicationDataUpGet**](docs/DataUpApi.md#applicationDataUpGet) | **GET** /application/dataUp | getDataUp
*DataUpApi* | [**applicationDataUpIdPatch**](docs/DataUpApi.md#applicationDataUpIdPatch) | **PATCH** /application/dataUp/{id} | patchOneDataUp
*DefaultApi* | [**applicationGet**](docs/DefaultApi.md#applicationGet) | **GET** /application | getApplication
*DocApi* | [**applicationDocChangelogGet**](docs/DocApi.md#applicationDocChangelogGet) | **GET** /application/doc/changelog | getChangelog
*DocApi* | [**applicationDocGet**](docs/DocApi.md#applicationDocGet) | **GET** /application/doc | getDoc
*DtosApi* | [**applicationDtosGet**](docs/DtosApi.md#applicationDtosGet) | **GET** /application/dtos | getDtos
*DtosApi* | [**applicationDtosNameGet**](docs/DtosApi.md#applicationDtosNameGet) | **GET** /application/dtos/{name} | getDto
*EndDevicesApi* | [**applicationEndDevicesBulkIdGet**](docs/EndDevicesApi.md#applicationEndDevicesBulkIdGet) | **GET** /application/endDevices/bulk/{id} | getCreateEndDevicesStatus
*EndDevicesApi* | [**applicationEndDevicesBulkPost**](docs/EndDevicesApi.md#applicationEndDevicesBulkPost) | **POST** /application/endDevices/bulk | createEndDevices
*EndDevicesApi* | [**applicationEndDevicesDeletionsIdGet**](docs/EndDevicesApi.md#applicationEndDevicesDeletionsIdGet) | **GET** /application/endDevices/deletions/{id} | getEndDevicesDeletion
*EndDevicesApi* | [**applicationEndDevicesDeletionsPost**](docs/EndDevicesApi.md#applicationEndDevicesDeletionsPost) | **POST** /application/endDevices/deletions | createEndDevicesDeletion
*EndDevicesApi* | [**applicationEndDevicesDevEuiDelete**](docs/EndDevicesApi.md#applicationEndDevicesDevEuiDelete) | **DELETE** /application/endDevices/{devEui} | deleteEndDevice
*EndDevicesApi* | [**applicationEndDevicesDevEuiEventsGet**](docs/EndDevicesApi.md#applicationEndDevicesDevEuiEventsGet) | **GET** /application/endDevices/{devEui}/events | getEndDeviceEvents
*EndDevicesApi* | [**applicationEndDevicesDevEuiEventsLastGet**](docs/EndDevicesApi.md#applicationEndDevicesDevEuiEventsLastGet) | **GET** /application/endDevices/{devEui}/events/last | getEndDeviceLastEvents
*EndDevicesApi* | [**applicationEndDevicesDevEuiGatewaysLastGet**](docs/EndDevicesApi.md#applicationEndDevicesDevEuiGatewaysLastGet) | **GET** /application/endDevices/{devEui}/gateways/last | getEndDeviceLastGateways
*EndDevicesApi* | [**applicationEndDevicesDevEuiGet**](docs/EndDevicesApi.md#applicationEndDevicesDevEuiGet) | **GET** /application/endDevices/{devEui} | getEndDevice
*EndDevicesApi* | [**applicationEndDevicesDevEuiKpisKpiGet**](docs/EndDevicesApi.md#applicationEndDevicesDevEuiKpisKpiGet) | **GET** /application/endDevices/{devEui}/kpis/{kpi} | getRncCustomerEndDeviceKpi
*EndDevicesApi* | [**applicationEndDevicesDevEuiMessagesGet**](docs/EndDevicesApi.md#applicationEndDevicesDevEuiMessagesGet) | **GET** /application/endDevices/{devEui}/messages | getEndDeviceMessages
*EndDevicesApi* | [**applicationEndDevicesDevEuiPatch**](docs/EndDevicesApi.md#applicationEndDevicesDevEuiPatch) | **PATCH** /application/endDevices/{devEui} | patchEndDevice
*EndDevicesApi* | [**applicationEndDevicesDevEuiPositionsGet**](docs/EndDevicesApi.md#applicationEndDevicesDevEuiPositionsGet) | **GET** /application/endDevices/{devEui}/positions | getEndDevicePositions
*EndDevicesApi* | [**applicationEndDevicesDevEuiPut**](docs/EndDevicesApi.md#applicationEndDevicesDevEuiPut) | **PUT** /application/endDevices/{devEui} | putEndDevice
*EndDevicesApi* | [**applicationEndDevicesDevEuiResetFrameCountersPut**](docs/EndDevicesApi.md#applicationEndDevicesDevEuiResetFrameCountersPut) | **PUT** /application/endDevices/{devEui}/resetFrameCounters | resetEndDeviceFrameCounters
*EndDevicesApi* | [**applicationEndDevicesExportsIdGet**](docs/EndDevicesApi.md#applicationEndDevicesExportsIdGet) | **GET** /application/endDevices/exports/{id} | getEndDevicesExport
*EndDevicesApi* | [**applicationEndDevicesExportsPost**](docs/EndDevicesApi.md#applicationEndDevicesExportsPost) | **POST** /application/endDevices/exports | createEndDevicesExport
*EndDevicesApi* | [**applicationEndDevicesGet**](docs/EndDevicesApi.md#applicationEndDevicesGet) | **GET** /application/endDevices | getEndDevices
*EventsApi* | [**applicationEventsLastIdPatch**](docs/EventsApi.md#applicationEventsLastIdPatch) | **PATCH** /application/events/last/{id} | patchLastEvent
*FleetsApi* | [**applicationFleetsGet**](docs/FleetsApi.md#applicationFleetsGet) | **GET** /application/fleets | getFleets
*FleetsApi* | [**applicationFleetsIdDelete**](docs/FleetsApi.md#applicationFleetsIdDelete) | **DELETE** /application/fleets/{id} | deleteFleet
*FleetsApi* | [**applicationFleetsIdEventsGet**](docs/FleetsApi.md#applicationFleetsIdEventsGet) | **GET** /application/fleets/{id}/events | getFleetEvents
*FleetsApi* | [**applicationFleetsIdEventsLastCountersGet**](docs/FleetsApi.md#applicationFleetsIdEventsLastCountersGet) | **GET** /application/fleets/{id}/events/last/counters | getFleetLastEventsCounters
*FleetsApi* | [**applicationFleetsIdEventsLastGet**](docs/FleetsApi.md#applicationFleetsIdEventsLastGet) | **GET** /application/fleets/{id}/events/last | getFleetLastEvents
*FleetsApi* | [**applicationFleetsIdGet**](docs/FleetsApi.md#applicationFleetsIdGet) | **GET** /application/fleets/{id} | getFleet
*FleetsApi* | [**applicationFleetsIdLastOperationsGet**](docs/FleetsApi.md#applicationFleetsIdLastOperationsGet) | **GET** /application/fleets/{id}/lastOperations | getFleetLastOperations
*FleetsApi* | [**applicationFleetsIdLastStatisticsGet**](docs/FleetsApi.md#applicationFleetsIdLastStatisticsGet) | **GET** /application/fleets/{id}/lastStatistics | getFleetLastStatistics
*FleetsApi* | [**applicationFleetsIdPut**](docs/FleetsApi.md#applicationFleetsIdPut) | **PUT** /application/fleets/{id} | updateFleet
*FleetsApi* | [**applicationFleetsPost**](docs/FleetsApi.md#applicationFleetsPost) | **POST** /application/fleets | createFleet
*GatewayTypesApi* | [**applicationGatewayTypesGet**](docs/GatewayTypesApi.md#applicationGatewayTypesGet) | **GET** /application/gatewayTypes | getGatewayTypes
*GatewaysApi* | [**applicationGatewaysBulkIdGet**](docs/GatewaysApi.md#applicationGatewaysBulkIdGet) | **GET** /application/gateways/bulk/{id} | getCreateGatewaysStatus
*GatewaysApi* | [**applicationGatewaysBulkPost**](docs/GatewaysApi.md#applicationGatewaysBulkPost) | **POST** /application/gateways/bulk | createGateways
*GatewaysApi* | [**applicationGatewaysDeletionsIdGet**](docs/GatewaysApi.md#applicationGatewaysDeletionsIdGet) | **GET** /application/gateways/deletions/{id} | getGatewaysDeletion
*GatewaysApi* | [**applicationGatewaysDeletionsPost**](docs/GatewaysApi.md#applicationGatewaysDeletionsPost) | **POST** /application/gateways/deletions | createGatewaysDeletion
*GatewaysApi* | [**applicationGatewaysEuiAesKeysIndexDelete**](docs/GatewaysApi.md#applicationGatewaysEuiAesKeysIndexDelete) | **DELETE** /application/gateways/{eui}/aesKeys/{index} | deleteLnsGatewayAesKey
*GatewaysApi* | [**applicationGatewaysEuiAesKeysIndexPut**](docs/GatewaysApi.md#applicationGatewaysEuiAesKeysIndexPut) | **PUT** /application/gateways/{eui}/aesKeys/{index} | putLnsGatewayAesKey
*GatewaysApi* | [**applicationGatewaysEuiCommandsCpPost**](docs/GatewaysApi.md#applicationGatewaysEuiCommandsCpPost) | **POST** /application/gateways/{eui}/commands/cp | createGatewayCpCommand
*GatewaysApi* | [**applicationGatewaysEuiCommandsGetPost**](docs/GatewaysApi.md#applicationGatewaysEuiCommandsGetPost) | **POST** /application/gateways/{eui}/commands/get | createGatewayGetFileCommand
*GatewaysApi* | [**applicationGatewaysEuiCommandsLsPost**](docs/GatewaysApi.md#applicationGatewaysEuiCommandsLsPost) | **POST** /application/gateways/{eui}/commands/ls | createGatewayLsCommand
*GatewaysApi* | [**applicationGatewaysEuiCommandsMkdirPost**](docs/GatewaysApi.md#applicationGatewaysEuiCommandsMkdirPost) | **POST** /application/gateways/{eui}/commands/mkdir | createGatewayMkDirCommand
*GatewaysApi* | [**applicationGatewaysEuiCommandsMvPost**](docs/GatewaysApi.md#applicationGatewaysEuiCommandsMvPost) | **POST** /application/gateways/{eui}/commands/mv | createGatewayMvCommand
*GatewaysApi* | [**applicationGatewaysEuiCommandsPost**](docs/GatewaysApi.md#applicationGatewaysEuiCommandsPost) | **POST** /application/gateways/{eui}/commands | createGatewayCommand
*GatewaysApi* | [**applicationGatewaysEuiCommandsPutPost**](docs/GatewaysApi.md#applicationGatewaysEuiCommandsPutPost) | **POST** /application/gateways/{eui}/commands/put | createGatewayPutFileCommand
*GatewaysApi* | [**applicationGatewaysEuiCommandsRmPost**](docs/GatewaysApi.md#applicationGatewaysEuiCommandsRmPost) | **POST** /application/gateways/{eui}/commands/rm | createGatewayRmCommand
*GatewaysApi* | [**applicationGatewaysEuiConfigurationsCurrentGet**](docs/GatewaysApi.md#applicationGatewaysEuiConfigurationsCurrentGet) | **GET** /application/gateways/{eui}/configurations/current | getGatewayCurrentConfiguration
*GatewaysApi* | [**applicationGatewaysEuiConfigurationsCurrentPatch**](docs/GatewaysApi.md#applicationGatewaysEuiConfigurationsCurrentPatch) | **PATCH** /application/gateways/{eui}/configurations/current | updateGatewayCurrentConfiguration
*GatewaysApi* | [**applicationGatewaysEuiConfigurationsGet**](docs/GatewaysApi.md#applicationGatewaysEuiConfigurationsGet) | **GET** /application/gateways/{eui}/configurations | getGatewayConfigurations
*GatewaysApi* | [**applicationGatewaysEuiConfigurationsLastGet**](docs/GatewaysApi.md#applicationGatewaysEuiConfigurationsLastGet) | **GET** /application/gateways/{eui}/configurations/last | getGatewayLastConfiguration
*GatewaysApi* | [**applicationGatewaysEuiConnectionsGet**](docs/GatewaysApi.md#applicationGatewaysEuiConnectionsGet) | **GET** /application/gateways/{eui}/connections | getGatewayConnections
*GatewaysApi* | [**applicationGatewaysEuiConnectionsLastGet**](docs/GatewaysApi.md#applicationGatewaysEuiConnectionsLastGet) | **GET** /application/gateways/{eui}/connections/last | getGatewayLastConnection
*GatewaysApi* | [**applicationGatewaysEuiControlGet**](docs/GatewaysApi.md#applicationGatewaysEuiControlGet) | **GET** /application/gateways/{eui}/control | getGatewayControl
*GatewaysApi* | [**applicationGatewaysEuiControlPatch**](docs/GatewaysApi.md#applicationGatewaysEuiControlPatch) | **PATCH** /application/gateways/{eui}/control | updateGatewayControl
*GatewaysApi* | [**applicationGatewaysEuiDelete**](docs/GatewaysApi.md#applicationGatewaysEuiDelete) | **DELETE** /application/gateways/{eui} | deleteGateway
*GatewaysApi* | [**applicationGatewaysEuiEventsGet**](docs/GatewaysApi.md#applicationGatewaysEuiEventsGet) | **GET** /application/gateways/{eui}/events | getGatewayEvents
*GatewaysApi* | [**applicationGatewaysEuiEventsLastGet**](docs/GatewaysApi.md#applicationGatewaysEuiEventsLastGet) | **GET** /application/gateways/{eui}/events/last | getGatewayLastEvents
*GatewaysApi* | [**applicationGatewaysEuiGet**](docs/GatewaysApi.md#applicationGatewaysEuiGet) | **GET** /application/gateways/{eui} | getGateway
*GatewaysApi* | [**applicationGatewaysEuiKpisKpiGet**](docs/GatewaysApi.md#applicationGatewaysEuiKpisKpiGet) | **GET** /application/gateways/{eui}/kpis/{kpi} | getRncCustomerGatewayKpi
*GatewaysApi* | [**applicationGatewaysEuiLastOperationsGet**](docs/GatewaysApi.md#applicationGatewaysEuiLastOperationsGet) | **GET** /application/gateways/{eui}/lastOperations | getGatewayLastOperations
*GatewaysApi* | [**applicationGatewaysEuiLastStatisticsGet**](docs/GatewaysApi.md#applicationGatewaysEuiLastStatisticsGet) | **GET** /application/gateways/{eui}/lastStatistics | getGatewayLastStatistics
*GatewaysApi* | [**applicationGatewaysEuiManagementGet**](docs/GatewaysApi.md#applicationGatewaysEuiManagementGet) | **GET** /application/gateways/{eui}/management | getGatewayManagement
*GatewaysApi* | [**applicationGatewaysEuiManagementPut**](docs/GatewaysApi.md#applicationGatewaysEuiManagementPut) | **PUT** /application/gateways/{eui}/management | updateGatewayManagement
*GatewaysApi* | [**applicationGatewaysEuiModemsGet**](docs/GatewaysApi.md#applicationGatewaysEuiModemsGet) | **GET** /application/gateways/{eui}/modems | getGatewayModems
*GatewaysApi* | [**applicationGatewaysEuiModemsModemLocationSpectrumsPost**](docs/GatewaysApi.md#applicationGatewaysEuiModemsModemLocationSpectrumsPost) | **POST** /application/gateways/{eui}/modems/{modemLocation}/spectrums | createGatewayModemSpectrum
*GatewaysApi* | [**applicationGatewaysEuiModemsSerialNumberStatisticsGet**](docs/GatewaysApi.md#applicationGatewaysEuiModemsSerialNumberStatisticsGet) | **GET** /application/gateways/{eui}/modems/{serialNumber}/statistics | getModemStatistics
*GatewaysApi* | [**applicationGatewaysEuiPatch**](docs/GatewaysApi.md#applicationGatewaysEuiPatch) | **PATCH** /application/gateways/{eui} | patchGateway
*GatewaysApi* | [**applicationGatewaysEuiPut**](docs/GatewaysApi.md#applicationGatewaysEuiPut) | **PUT** /application/gateways/{eui} | createGateway
*GatewaysApi* | [**applicationGatewaysEuiSnmpLogsGet**](docs/GatewaysApi.md#applicationGatewaysEuiSnmpLogsGet) | **GET** /application/gateways/{eui}/snmpLogs | getGatewaySnmpLogs
*GatewaysApi* | [**applicationGatewaysEuiStatisticsLastGet**](docs/GatewaysApi.md#applicationGatewaysEuiStatisticsLastGet) | **GET** /application/gateways/{eui}/statistics/last | getLastGatewayStatistics
*GatewaysApi* | [**applicationGatewaysEuiStatisticsNumericGet**](docs/GatewaysApi.md#applicationGatewaysEuiStatisticsNumericGet) | **GET** /application/gateways/{eui}/statistics/numeric | getGatewayNumericStatistics
*GatewaysApi* | [**applicationGatewaysEuiStatisticsTermGet**](docs/GatewaysApi.md#applicationGatewaysEuiStatisticsTermGet) | **GET** /application/gateways/{eui}/statistics/term | getGatewayTermStatistics
*GatewaysApi* | [**applicationGatewaysEuiVersionsCurrentGet**](docs/GatewaysApi.md#applicationGatewaysEuiVersionsCurrentGet) | **GET** /application/gateways/{eui}/versions/current | getGatewayCurrentVersion
*GatewaysApi* | [**applicationGatewaysEuiVersionsGet**](docs/GatewaysApi.md#applicationGatewaysEuiVersionsGet) | **GET** /application/gateways/{eui}/versions | getGatewayVersions
*GatewaysApi* | [**applicationGatewaysEuiVersionsLastGet**](docs/GatewaysApi.md#applicationGatewaysEuiVersionsLastGet) | **GET** /application/gateways/{eui}/versions/last | getGatewayLastVersion
*GatewaysApi* | [**applicationGatewaysExportsIdGet**](docs/GatewaysApi.md#applicationGatewaysExportsIdGet) | **GET** /application/gateways/exports/{id} | getGatewaysExport
*GatewaysApi* | [**applicationGatewaysExportsPost**](docs/GatewaysApi.md#applicationGatewaysExportsPost) | **POST** /application/gateways/exports | createGatewaysExport
*GatewaysApi* | [**applicationGatewaysFirmwarePost**](docs/GatewaysApi.md#applicationGatewaysFirmwarePost) | **POST** /application/gateways/firmware | updateGatewaysFirmware
*GatewaysApi* | [**applicationGatewaysGet**](docs/GatewaysApi.md#applicationGatewaysGet) | **GET** /application/gateways | getGateways
*KpisApi* | [**applicationKpisKpiGet**](docs/KpisApi.md#applicationKpisKpiGet) | **GET** /application/kpis/{kpi} | getRncNetworkKpi
*LnsEventsApi* | [**applicationLnsEventsLastIdPatch**](docs/LnsEventsApi.md#applicationLnsEventsLastIdPatch) | **PATCH** /application/lnsEvents/last/{id} | patchLnsLastEvent
*LoginApi* | [**applicationLoginPasswordRequestPost**](docs/LoginApi.md#applicationLoginPasswordRequestPost) | **POST** /application/login/password/request | requestPassword
*LoginApi* | [**applicationLoginPasswordResetPost**](docs/LoginApi.md#applicationLoginPasswordResetPost) | **POST** /application/login/password/reset | resetPassword
*LoginApi* | [**applicationLoginPost**](docs/LoginApi.md#applicationLoginPost) | **POST** /application/login | login
*MulticastDataDownApi* | [**applicationMulticastDataDownGet**](docs/MulticastDataDownApi.md#applicationMulticastDataDownGet) | **GET** /application/multicastDataDown | getMulticastDataDown
*MulticastDataDownApi* | [**applicationMulticastDataDownIdGet**](docs/MulticastDataDownApi.md#applicationMulticastDataDownIdGet) | **GET** /application/multicastDataDown/{id} | getOneMulticastDataDown
*MulticastDataDownApi* | [**applicationMulticastDataDownPost**](docs/MulticastDataDownApi.md#applicationMulticastDataDownPost) | **POST** /application/multicastDataDown | createMulticastDataDown
*MulticastGroupsApi* | [**applicationMulticastGroupsGet**](docs/MulticastGroupsApi.md#applicationMulticastGroupsGet) | **GET** /application/multicastGroups | getMulticastGroups
*MulticastGroupsApi* | [**applicationMulticastGroupsIdDelete**](docs/MulticastGroupsApi.md#applicationMulticastGroupsIdDelete) | **DELETE** /application/multicastGroups/{id} | deleteMulticastGroup
*MulticastGroupsApi* | [**applicationMulticastGroupsIdEndDevicesDevEuiDelete**](docs/MulticastGroupsApi.md#applicationMulticastGroupsIdEndDevicesDevEuiDelete) | **DELETE** /application/multicastGroups/{id}/endDevices/{devEui} | removeEndDeviceFromMulticastGroup
*MulticastGroupsApi* | [**applicationMulticastGroupsIdEndDevicesDevEuiPut**](docs/MulticastGroupsApi.md#applicationMulticastGroupsIdEndDevicesDevEuiPut) | **PUT** /application/multicastGroups/{id}/endDevices/{devEui} | addEndDeviceToMulticastGroup
*MulticastGroupsApi* | [**applicationMulticastGroupsIdGet**](docs/MulticastGroupsApi.md#applicationMulticastGroupsIdGet) | **GET** /application/multicastGroups/{id} | getMulticastGroup
*MulticastGroupsApi* | [**applicationMulticastGroupsIdPatch**](docs/MulticastGroupsApi.md#applicationMulticastGroupsIdPatch) | **PATCH** /application/multicastGroups/{id} | patchMulticastGroup
*MulticastGroupsApi* | [**applicationMulticastGroupsPost**](docs/MulticastGroupsApi.md#applicationMulticastGroupsPost) | **POST** /application/multicastGroups | createMulticastGroup
*OpenapiApi* | [**applicationOpenapiGet**](docs/OpenapiApi.md#applicationOpenapiGet) | **GET** /application/openapi | getOpenApi
*PingApi* | [**applicationPingGet**](docs/PingApi.md#applicationPingGet) | **GET** /application/ping | ping
*RepoApi* | [**applicationRepoGet**](docs/RepoApi.md#applicationRepoGet) | **GET** /application/repo | getFile
*RepoApi* | [**applicationRepoPost**](docs/RepoApi.md#applicationRepoPost) | **POST** /application/repo | putFile
*RncEventsApi* | [**applicationRncEventsGatewaysGet**](docs/RncEventsApi.md#applicationRncEventsGatewaysGet) | **GET** /application/rncEvents/gateways | getRncGatewaysEvents
*RncEventsApi* | [**applicationRncEventsGatewaysLastGet**](docs/RncEventsApi.md#applicationRncEventsGatewaysLastGet) | **GET** /application/rncEvents/gateways/last | getRncGatewaysLastEvents
*RncEventsApi* | [**applicationRncEventsGatewaysLastIdPatch**](docs/RncEventsApi.md#applicationRncEventsGatewaysLastIdPatch) | **PATCH** /application/rncEvents/gateways/last/{id} | patchRncGatewayLastEvent
*RolesApi* | [**applicationRolesGet**](docs/RolesApi.md#applicationRolesGet) | **GET** /application/roles | getRoles
*SelectionsApi* | [**applicationSelectionsGet**](docs/SelectionsApi.md#applicationSelectionsGet) | **GET** /application/selections | getSelections
*SelectionsApi* | [**applicationSelectionsIdDelete**](docs/SelectionsApi.md#applicationSelectionsIdDelete) | **DELETE** /application/selections/{id} | deleteSelection
*SelectionsApi* | [**applicationSelectionsIdGet**](docs/SelectionsApi.md#applicationSelectionsIdGet) | **GET** /application/selections/{id} | getSelection
*SelectionsApi* | [**applicationSelectionsPost**](docs/SelectionsApi.md#applicationSelectionsPost) | **POST** /application/selections | createSelection
*SpectrumsApi* | [**applicationSpectrumsGet**](docs/SpectrumsApi.md#applicationSpectrumsGet) | **GET** /application/spectrums | getSpectrums
*SpectrumsApi* | [**applicationSpectrumsIdDelete**](docs/SpectrumsApi.md#applicationSpectrumsIdDelete) | **DELETE** /application/spectrums/{id} | deleteSpectrum
*SpectrumsApi* | [**applicationSpectrumsIdFileGet**](docs/SpectrumsApi.md#applicationSpectrumsIdFileGet) | **GET** /application/spectrums/{id}/file | getSpectrumFile
*SpectrumsApi* | [**applicationSpectrumsIdGet**](docs/SpectrumsApi.md#applicationSpectrumsIdGet) | **GET** /application/spectrums/{id} | getSpectrum
*TasksApi* | [**applicationTasksGet**](docs/TasksApi.md#applicationTasksGet) | **GET** /application/tasks | getTasks
*TasksApi* | [**applicationTasksIdGet**](docs/TasksApi.md#applicationTasksIdGet) | **GET** /application/tasks/{id} | getTask
*TasksApi* | [**applicationTasksIdMessagesGet**](docs/TasksApi.md#applicationTasksIdMessagesGet) | **GET** /application/tasks/{id}/messages | getTaskMessages
*TasksApi* | [**applicationTasksIdSnmpLogsGet**](docs/TasksApi.md#applicationTasksIdSnmpLogsGet) | **GET** /application/tasks/{id}/snmpLogs | getTaskSnmpLogs
*UsersApi* | [**applicationUsersGet**](docs/UsersApi.md#applicationUsersGet) | **GET** /application/users | getUsers
*UsersApi* | [**applicationUsersIdDelete**](docs/UsersApi.md#applicationUsersIdDelete) | **DELETE** /application/users/{id} | deleteUser
*UsersApi* | [**applicationUsersIdGet**](docs/UsersApi.md#applicationUsersIdGet) | **GET** /application/users/{id} | getUser
*UsersApi* | [**applicationUsersIdPatch**](docs/UsersApi.md#applicationUsersIdPatch) | **PATCH** /application/users/{id} | patchUser
*UsersApi* | [**applicationUsersPost**](docs/UsersApi.md#applicationUsersPost) | **POST** /application/users | createUser
*ValidateUserApi* | [**applicationValidateUserPost**](docs/ValidateUserApi.md#applicationValidateUserPost) | **POST** /application/validateUser | validateUser
*WebServicesApi* | [**applicationWebServicesGet**](docs/WebServicesApi.md#applicationWebServicesGet) | **GET** /application/webServices | getWebServices
*WorkflowApi* | [**applicationWorkflowCreatePost**](docs/WorkflowApi.md#applicationWorkflowCreatePost) | **POST** /application/workflow/create | createWorkflow
*WorkflowApi* | [**applicationWorkflowProcessByBusinessKeyHistoryListGet**](docs/WorkflowApi.md#applicationWorkflowProcessByBusinessKeyHistoryListGet) | **GET** /application/workflow/processByBusinessKey/history/list | getWorkflowProcessHistoryListGroupByBusinessKey
*WorkflowApi* | [**applicationWorkflowProcessDefinitionsGet**](docs/WorkflowApi.md#applicationWorkflowProcessDefinitionsGet) | **GET** /application/workflow/processDefinitions | getWorkflowProcessDefinitionList
*WorkflowApi* | [**applicationWorkflowProcessDefinitionsIdDelete**](docs/WorkflowApi.md#applicationWorkflowProcessDefinitionsIdDelete) | **DELETE** /application/workflow/processDefinitions/{id} | deleteWorkflowProcessDefinition
*WorkflowApi* | [**applicationWorkflowProcessDefinitionsIdGet**](docs/WorkflowApi.md#applicationWorkflowProcessDefinitionsIdGet) | **GET** /application/workflow/processDefinitions/{id} | getWorkflowProcessDefinition
*WorkflowApi* | [**applicationWorkflowProcessHistoryListGet**](docs/WorkflowApi.md#applicationWorkflowProcessHistoryListGet) | **GET** /application/workflow/process/history/list | getWorkflowProcessHistoryList
*WorkflowApi* | [**applicationWorkflowProcessIdActivityHistoryGet**](docs/WorkflowApi.md#applicationWorkflowProcessIdActivityHistoryGet) | **GET** /application/workflow/process/{id}/activityHistory | getWorkflowProcessActivityHistory
*WorkflowApi* | [**applicationWorkflowProcessIdDelete**](docs/WorkflowApi.md#applicationWorkflowProcessIdDelete) | **DELETE** /application/workflow/process/{id} | deleteWorkflowProcess
*WorkflowApi* | [**applicationWorkflowProcessIdHistoryGet**](docs/WorkflowApi.md#applicationWorkflowProcessIdHistoryGet) | **GET** /application/workflow/process/{id}/history | getWorkflowProcessHistory
*WorkflowApi* | [**applicationWorkflowProcessIdStatusGet**](docs/WorkflowApi.md#applicationWorkflowProcessIdStatusGet) | **GET** /application/workflow/process/{id}/status | getWorkflowProcessStatus
*WorkflowApi* | [**applicationWorkflowProcessIdTaskHistoryGet**](docs/WorkflowApi.md#applicationWorkflowProcessIdTaskHistoryGet) | **GET** /application/workflow/process/{id}/taskHistory | getWorkflowProcessTaskHistory
*WorkflowApi* | [**applicationWorkflowProcessIdVariablesGet**](docs/WorkflowApi.md#applicationWorkflowProcessIdVariablesGet) | **GET** /application/workflow/process/{id}/variables | getWorkflowProcessVariables
*WorkflowApi* | [**applicationWorkflowStartWorkflowNamePost**](docs/WorkflowApi.md#applicationWorkflowStartWorkflowNamePost) | **POST** /application/workflow/start/{workflowName} | startWorkflow

## Documentation for Models

 - [ActionDto](docs/ActionDto.md)
 - [ActionParameterDto](docs/ActionParameterDto.md)
 - [ApplicationDto](docs/ApplicationDto.md)
 - [ApplicationSettingDto](docs/ApplicationSettingDto.md)
 - [Body](docs/Body.md)
 - [Body1](docs/Body1.md)
 - [Body2](docs/Body2.md)
 - [Body3](docs/Body3.md)
 - [Body4](docs/Body4.md)
 - [Body5](docs/Body5.md)
 - [BscDto](docs/BscDto.md)
 - [CapabilitiesDto](docs/CapabilitiesDto.md)
 - [ClusterCountersDto](docs/ClusterCountersDto.md)
 - [ClusterDto](docs/ClusterDto.md)
 - [CommandDto](docs/CommandDto.md)
 - [CustomerDto](docs/CustomerDto.md)
 - [CustomerLastEventsCountersDto](docs/CustomerLastEventsCountersDto.md)
 - [CustomerSettingDto](docs/CustomerSettingDto.md)
 - [CustomersLastEventsCountersDto](docs/CustomersLastEventsCountersDto.md)
 - [DataDownDlParametersDto](docs/DataDownDlParametersDto.md)
 - [DataDownDto](docs/DataDownDto.md)
 - [DataDownStatusDto](docs/DataDownStatusDto.md)
 - [DataUpDto](docs/DataUpDto.md)
 - [EndDeviceDto](docs/EndDeviceDto.md)
 - [EndDeviceLastGatewayDto](docs/EndDeviceLastGatewayDto.md)
 - [EndDeviceMessageDto](docs/EndDeviceMessageDto.md)
 - [EndDevicePositionDto](docs/EndDevicePositionDto.md)
 - [ErrorDto](docs/ErrorDto.md)
 - [FileDto](docs/FileDto.md)
 - [FleetCountersDto](docs/FleetCountersDto.md)
 - [FleetDto](docs/FleetDto.md)
 - [FleetLastEventCounterDto](docs/FleetLastEventCounterDto.md)
 - [GatewayConfigurationDto](docs/GatewayConfigurationDto.md)
 - [GatewayConnectionDto](docs/GatewayConnectionDto.md)
 - [GatewayControlDto](docs/GatewayControlDto.md)
 - [GatewayDto](docs/GatewayDto.md)
 - [GatewayEventDto](docs/GatewayEventDto.md)
 - [GatewayInfoDto](docs/GatewayInfoDto.md)
 - [GatewayManagementDto](docs/GatewayManagementDto.md)
 - [GatewayModemDto](docs/GatewayModemDto.md)
 - [GatewayModemStatisticDto](docs/GatewayModemStatisticDto.md)
 - [GatewayNumericStatisticsDto](docs/GatewayNumericStatisticsDto.md)
 - [GatewaySnmpLogDto](docs/GatewaySnmpLogDto.md)
 - [GatewayStatisticsDto](docs/GatewayStatisticsDto.md)
 - [GatewayTermStatisticsDto](docs/GatewayTermStatisticsDto.md)
 - [GatewayTypeDto](docs/GatewayTypeDto.md)
 - [GatewayVersionDto](docs/GatewayVersionDto.md)
 - [GatewaysStatisticDto](docs/GatewaysStatisticDto.md)
 - [HistoricActivityInstanceDto](docs/HistoricActivityInstanceDto.md)
 - [HistoricProcessInstanceDto](docs/HistoricProcessInstanceDto.md)
 - [HistoricProcessInstanceListByBusinessKeyDto](docs/HistoricProcessInstanceListByBusinessKeyDto.md)
 - [HistoricTaskInstanceDto](docs/HistoricTaskInstanceDto.md)
 - [HistoricVariableInstanceDto](docs/HistoricVariableInstanceDto.md)
 - [ItemDto](docs/ItemDto.md)
 - [JwtDto](docs/JwtDto.md)
 - [KpiDto](docs/KpiDto.md)
 - [LastEventCounterDto](docs/LastEventCounterDto.md)
 - [LastEventDto](docs/LastEventDto.md)
 - [LastOperationDto](docs/LastOperationDto.md)
 - [LastStatisticDto](docs/LastStatisticDto.md)
 - [LicenseDto](docs/LicenseDto.md)
 - [LinkDto](docs/LinkDto.md)
 - [LnsCustomerLastEventsCountersDto](docs/LnsCustomerLastEventsCountersDto.md)
 - [LnsCustomersLastEventsCountersDto](docs/LnsCustomersLastEventsCountersDto.md)
 - [LnsEventDto](docs/LnsEventDto.md)
 - [LnsGatewayKeyDto](docs/LnsGatewayKeyDto.md)
 - [MacCommandDto](docs/MacCommandDto.md)
 - [MetaDto](docs/MetaDto.md)
 - [MetaFieldDto](docs/MetaFieldDto.md)
 - [ModemStatisticInterferDto](docs/ModemStatisticInterferDto.md)
 - [MulticastDataDownDlParametersDto](docs/MulticastDataDownDlParametersDto.md)
 - [MulticastDataDownDto](docs/MulticastDataDownDto.md)
 - [MulticastDataDownPathDto](docs/MulticastDataDownPathDto.md)
 - [MulticastGroupDto](docs/MulticastGroupDto.md)
 - [NumericStatisticDto](docs/NumericStatisticDto.md)
 - [PaginatedDto](docs/PaginatedDto.md)
 - [ProcessDefinitionDto](docs/ProcessDefinitionDto.md)
 - [ProcessInstanceDto](docs/ProcessInstanceDto.md)
 - [ProgressMonitorDto](docs/ProgressMonitorDto.md)
 - [RncCustomerLastEventsCountersDto](docs/RncCustomerLastEventsCountersDto.md)
 - [RncGatewayEventDto](docs/RncGatewayEventDto.md)
 - [RncGatewayLastEventDto](docs/RncGatewayLastEventDto.md)
 - [RoleDto](docs/RoleDto.md)
 - [SelectionDto](docs/SelectionDto.md)
 - [SpectrumDto](docs/SpectrumDto.md)
 - [TaskDto](docs/TaskDto.md)
 - [TaskMessageDto](docs/TaskMessageDto.md)
 - [UserDto](docs/UserDto.md)
 - [VersionDto](docs/VersionDto.md)
 - [WanInterfaceTypeDto](docs/WanInterfaceTypeDto.md)
 - [WebServiceDto](docs/WebServiceDto.md)
 - [WebServiceParameterDto](docs/WebServiceParameterDto.md)

## Documentation for Authorization

Authentication schemes defined for the API:
### bearer

- **Type**: API key
- **API key parameter name**: Authorization
- **Location**: HTTP header


## Recommendation

It's recommended to create an instance of `ApiClient` per thread in a multithreaded environment to avoid any potential issues.

## Author


